input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

fieldset {
    margin: 0;
    padding: 5px 0 0 0;
    border: none;
}

legend {
    padding: 0;
    display: block;
    font-weight: 600;
    margin: 0 0 8px 0;
    font-size: size-rel(24px);
    line-height: size-rel(36px);
}

.field {

    &__input {
        margin: 0;
        width: 100%;
        height: 50px;
        outline: none;
        color: #5b3d38;
        font-weight: 400;
        border-radius: 25px;
        font-size: size-rel(16px);
        line-height: size-rel(20px);
        padding: size-rel(14px) size-rel(20px);
        background: #fff;
        display: inline-block;
        vertical-align: middle;
        border: 1px solid #ced4da;
        box-shadow: 0 0 3px 0 transparent;
        @include placeholder(#909090);
        transition: .3s;

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
            box-shadow: 0 0 3px 0 rgb(0, 88, 255);
            transition: .3s;
        }
    }


    &.error {

        .field__input {
            border-color: red !important;
        }
    }
}

textarea.field__input {
    height: auto;
    resize: none;
}

.form-select {
    margin: 0;
    width: 100%;
    height: 50px;
    outline: none;
    color: #5b3d38;
    font-weight: 400;
    border-radius: 25px;
    font-size: size-rel(14px);
    line-height: size-rel(20px);
    padding: size-rel(14px) size-rel(20px);
    background-color: #fff;
    background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23909090%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E');
    background-repeat: no-repeat, repeat;
    background-position: right .8em top 50%, 0 0;
    background-size: .65em auto, 100%;
    display: inline-block;
    vertical-align: middle;
    border: 1px solid #EAEAEA;
    box-shadow: 0 0 3px 0 transparent;
    @include placeholder(#909090);
    transition: .3s;

    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;

    &::-ms-clear {
        display: none;
        width: 0;
        height: 0;
    }
}

.form-select-sm {
    height: 40px;
    padding: size-rel(9px) size-rel(20px);
}

.form-checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    &__input {
        top: 0;
        left: 0;
        opacity: 0;
        width: 1px;
        height: 1px;
        visibility: hidden;
        position: absolute;
    }

    &__label {
        color: $primary;
        font-size: size-rel(16px);
        line-height: size-rel(20px);
        position: relative;
        padding-left: 24px;
        display: inline-block;

        &--sm {
            font-size: size-rel(14px);
        }

        &::before {
            top: 2px;
            left: 0;
            z-index: 1;
            content: '';
            width: 16px;
            height: 16px;
            display: block;
            position: absolute;
            border-radius: 2px;
            border: 1px solid $primary
        }

        &:after {
            top: 4px;
            left: 6px;
            z-index: 2;
            content: '';
            width: 5px;
            height: 9px;
            display: block;
            opacity: 0;
            border-right: 2px solid $white;
            border-bottom: 2px solid $white;
            visibility: hidden;
            position: absolute;
            transform: rotate(45deg);
        }
    }


    &__input:checked + .form-checkbox__label {

        &::before {
            background: $blue-light;
            border-color: $blue-light;
        }

        &::after {
            opacity: 1;
            visibility: visible;
        }

        &:hover {

            &::before {
                background: $blue;
                border-color: $blue;
            }
        }
    }

    &__input:disabled + .form-checkbox__label {
        opacity: 0.4;
    }

}

.form-group {
    margin-bottom: 1.25rem;
}

.form-group-lg {
    margin-bottom: 30px;

    @include media-breakpoint-up(md) {
        margin-bottom: 36px;
    }
}

.form-label {
    display: block;
    margin-bottom: 10px;
    font-weight: 500;
    font-size: size-rel(16px);
    line-height: size-rel(24px);
}

.form-inline {
    margin: 0 -8px;
    display: flex;
    align-items: center;
    flex-wrap: wrap;

    &__item {
        padding: 0 8px;
    }
}

.form-linear {
    display: flex;
    align-items: center;
    justify-content: space-between;

    &__label {
        min-width: 110px;
        display: block;
        font-weight: 500;
        padding-right: 16px;
        font-size: size-rel(16px);
        line-height: size-rel(24px);
    }

    &__content {
        flex-grow: 1;
        max-width: 270px;
    }
}

.input-group {
    display: flex;
    align-items: center;

    .field__input {
        border-radius: 25px 0 0 25px;
    }

    .btn {
        padding: size-rel(14px) size-rel(20px);
        border-radius: 0 25px 25px 0;
    }
}

.form-row {

    @include media-breakpoint-up(md) {
        display: flex;
        justify-content: space-between;
    }
}

.form-col {

    @include media-breakpoint-up(md) {
        width: calc(50% - 8px);
    }
}

.form-info {
    font-weight: 400;
    padding-top: 2px;
    font-style: italic;
    font-size: size-rel(12px);
    line-height: size-rel(18px);
}
